Retrieve a news item
GET
/v1/news/{id}/
const url = 'https://example.com/v1/news/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/news/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single news item by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this news.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
title
required
string
description
string
category
feature- Featureimprovement- Improvementfix- Fixtip- Tipevent- Event
string
image
string format: uri
banner_image
string format: uri
active
required
boolean
publish_at
A published news only becomes visible once this date is reached.
string format: date-time
expire_at
Once this date is reached, the news is no longer visible.
string format: date-time
cta_label
string
cta_url
Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).
string
read
required
boolean
my_reaction
required
string
reactions
required
object
key
additional properties
integer
created_at
string format: date-time
modified_at
required
string format: date-time
Example
{ "category": "feature"}